Vla put属性在一个对象中有很多属性,比如你向文本询问块比例(Vla put XScaleFactor blockobj 2.0)
- Command: DUMPIT
- Select object: ; IAcadText: AutoCAD Text Interface
- ; Property values:
- ; Alignment = 0
- ; Application (RO) = #<VLA-OBJECT IAcadApplication 00007ff76c493318>
- ; Backward = 0
- ; Document (RO) = #<VLA-OBJECT IAcadDocument 000000002a4ad9f8>
- ; EntityTransparency = "ByLayer"
- ; Handle (RO) = "606C"
- ; HasExtensionDictionary (RO) = 0
- ; Height = 0.2
- ; Hyperlinks (RO) = #<VLA-OBJECT IAcadHyperlinks 00000000317c7e48>
- ; InsertionPoint = (7267.25 2461.08 0.0)
- ; Layer = "0"
- ; Linetype = "ByLayer"
- ; LinetypeScale = 1.0
- ; Lineweight = -1
- ; Material = "ByLayer"
- ; Normal = (0.0 0.0 1.0)
- ; ObjectID (RO) = 43
- ; ObjectID32 (RO) = 43
- ; ObjectName (RO) = "AcDbText"
- ; ObliqueAngle = 0.0
- ; OwnerID (RO) = 44
- ; OwnerID32 (RO) = 44
- ; PlotStyleName = "ByLayer"
- ; Rotation = 0.0
- ; ScaleFactor = 1.0
- ; StyleName = "Standard"
- ; TextAlignmentPoint = (0.0 0.0 0.0)
- ; TextGenerationFlag = 0
- ; TextString = "asdfg"
- ; Thickness = 0.0
- ; TrueColor = #<VLA-OBJECT IAcadAcCmColor 00000000317c8920>
- ; UpsideDown = 0
- ; Visible = -1
- ;;;===================================================================;
- ;;; DumpIt ;
- ;;;-------------------------------------------------------------------;
- ;;; Dump all methods and properties for selected objects ;
- ;;;===================================================================;
- (defun C:DumpIt ( / ent)
- (while (setq ent (entsel))
- (vlax-Dump-Object
- (vlax-Ename->Vla-Object (car ent))
- )
- )
- (princ)
- )
|